Search results

Prerequisites

Hardware requirements

The following hardware requirements are necessary to run the Bold BI solution:

  • Operating System: Bold BI Linux can run in different Linux distribution. Verified on the following operating systems:

    • Ubuntu 18.04 LTS
    • Debian OS
  • CPU: 4-core.
  • Memory: 16 GB RAM.
  • Disk Space: 5 GB or more.

Software requirements

The following software requirements are necessary to run the Bold BI Embedded edition:

  • Database: Microsoft SQL Server 2012+ | PostgreSQL
  • Web Server: Nginx
  • Web Browser: Microsoft Edge, Mozilla Firefox, and Chrome.

Deployment Prerequisites

  1. Access to an Linux server with a standard user account with sudo privilege.

  2. Install Nginx.

  3. Install GDIPlus package using the following command.

    sudo apt-get install libgdiplus
  4. Add an openssl conf path in the environment if does not exist.

    export OPENSSL_CONF=/etc/ssl/

Next step